Bug 302381 - Bug with Software Packege
Bug with Software Packege
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
6
i386 Linux
low Severity high
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-23 18:43 EDT by Amdawi
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-31 09:49:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bug Error (1.70 KB, text/plain)
2007-09-23 18:43 EDT, Amdawi
no flags Details

  None (edit)
Description Amdawi 2007-09-23 18:43:07 EDT
Component: Software Manager
Summary: TB8cc68395 repoMDObject.py:102:getData:RepoMDError: requested datatype
primary not available

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 428, in <module>
    main()
  File "/usr/sbin/pirut", line 424, in main
    pm.run()
  File "/usr/sbin/pirut", line 361, in run
    self.doRefresh()
  File "/usr/sbin/pirut", line 374, in doRefresh
    self.doRefreshRepos(self._onlyrepo)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 260, in
doRefreshRepos
    self.reposSetup(pbar, thisrepo)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 247, in reposSetup
    self.doSackSetup()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 356, in doSackSetup
    return self._getSacks(archlist=archlist, thisrepo=thisrepo)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 382, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.5/site-packages/yum/repos.py", line 206, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 163, in populate
    xml = repo_get_function()
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 783, in getPrimaryXML
    return self.retrieveMD('primary')
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 732, in retrieveMD
    thisdata = self.repoXML.getData(mdtype)
  File "/usr/lib/python2.5/site-packages/yum/repoMDObject.py", line 102, in getData
    raise RepoMDError, "requested datatype %s not available" % type
RepoMDError: requested datatype primary not available

Local variables in innermost frame:
self: <yum.repoMDObject.RepoMD instance at 0x88dffac>
type: primary
Comment 1 Amdawi 2007-09-23 18:43:07 EDT
Created attachment 203571 [details]
Bug Error
Comment 2 Nalin Dahyabhai 2007-09-24 11:39:14 EDT
The traceback suggests that this is happening in pirut, not setuptool; moving.

Amdawi, if you open a terminal window and run "rpm -q pirut yum fedora-release",
what output do you get?
Comment 3 Amdawi 2007-09-24 16:13:07 EDT
pirut-1.3.7-1.fc7
yum-3.2.5-1.fc7

Comment 4 Jeremy Katz 2007-09-26 08:43:01 EDT
Does this still occur?  It looks like a weird repo out-of-sync problem.
Comment 5 Amdawi 2007-09-26 10:05:30 EDT
After I updated and change enabled on fedora.repo to 0
it works.
Comment 6 Jeremy Katz 2007-10-16 14:14:51 EDT
An updated pirut packages is available in the Fedora 7 Updates Testing
repository which should help to resolve this problem.  Can you install this
package by running
   yum --enablerepo=updates-testing update pirut
and then see if you still can reproduce this problem?
Comment 7 Jeremy Katz 2007-12-31 09:49:23 EST
Closing due to inactivity.  If you have further information to add to this
report, please either reopen the bug or file a new one.  

Note You need to log in before you can comment on or make changes to this bug.